# Listing in Codebase

If running a reliable node or relayer, you can help the network by listing them in the network config files so that others can automatically connect.

* Add public RPC URL(s) with port (preferably an HTTPS URL, which may require using a reverse proxy) to `state_sync_rpc`
* Add your Tendermint peer id (found in the `/status` RPC endpoint) and IP with port to `--p2p.seeds` in `tendermint_flags`
* If running a Bitcoin relayer, add the URL (preferably an HTTPS URL, which may require using a reverse proxy) to `btc_relayer`

## Stakenet

For Stakenet please make a GitHub issue or PR to the below file:

{% @github-files/github-code-block url="<https://github.com/nomic-io/nomic/blob/develop/networks/stakenet.toml>" %}

## Testnet

For Stakenet please make a GitHub issue or PR to the below file:

{% @github-files/github-code-block url="<https://github.com/nomic-io/nomic/blob/develop/networks/testnet.toml>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nomic.io/network/listing-in-codebase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
